package com.dgtly.order.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.dgtly.common.annotation.Excel;
import com.dgtly.common.core.domain.BaseEntity;

/**
 * 经销商对象 order_customers
 * 
 * @author qxp
 * @date 2020-07-09
 */
public class OrderCustomers extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 是否删除 */
    private String isDelete;

    /** 经销商 */
    @Excel(name = "经销商")
    private String chainsName;

    /** 经销商代号 */
    @Excel(name = "经销商代号")
    private String chainsCode;

    /** 省份 */
    @Excel(name = "省份")
    private String stateName;

    /** 市 */
    @Excel(name = "市")
    private String cityName;

    /** 区 */
    @Excel(name = "区")
    private String districtName;

    /** 用户账号 */
    @Excel(name = "用户账号")
    private String userAccount;

    /** 用户名称 */
    @Excel(name = "用户名称")
    private String userName;

    /** 用户号 */
    @Excel(name = "用户号")
    private String userNo;

    /** 信用分 */
    @Excel(name = "信用分")
    private Long creditScore;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setIsDelete(String isDelete) 
    {
        this.isDelete = isDelete;
    }

    public String getIsDelete() 
    {
        return isDelete;
    }
    public void setChainsName(String chainsName) 
    {
        this.chainsName = chainsName;
    }

    public String getChainsName() 
    {
        return chainsName;
    }
    public void setChainsCode(String chainsCode) 
    {
        this.chainsCode = chainsCode;
    }

    public String getChainsCode() 
    {
        return chainsCode;
    }
    public void setStateName(String stateName) 
    {
        this.stateName = stateName;
    }

    public String getStateName() 
    {
        return stateName;
    }
    public void setCityName(String cityName) 
    {
        this.cityName = cityName;
    }

    public String getCityName() 
    {
        return cityName;
    }
    public void setDistrictName(String districtName) 
    {
        this.districtName = districtName;
    }

    public String getDistrictName() 
    {
        return districtName;
    }
    public void setUserAccount(String userAccount) 
    {
        this.userAccount = userAccount;
    }

    public String getUserAccount() 
    {
        return userAccount;
    }
    public void setUserName(String userName) 
    {
        this.userName = userName;
    }

    public String getUserName() 
    {
        return userName;
    }
    public void setUserNo(String userNo) 
    {
        this.userNo = userNo;
    }

    public String getUserNo() 
    {
        return userNo;
    }
    public void setCreditScore(Long creditScore) 
    {
        this.creditScore = creditScore;
    }

    public Long getCreditScore() 
    {
        return creditScore;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("isDelete", getIsDelete())
            .append("chainsName", getChainsName())
            .append("chainsCode", getChainsCode())
            .append("stateName", getStateName())
            .append("cityName", getCityName())
            .append("districtName", getDistrictName())
            .append("userAccount", getUserAccount())
            .append("userName", getUserName())
            .append("userNo", getUserNo())
            .append("creditScore", getCreditScore())
            .toString();
    }
}
